<m3u8x>
  <typex>json</typex>
  <Array_quality>streams[0].videos</Array_quality>
  <host>
  </host>
  <path>source</path>
  <height>encodingOption.height</height>
  <width>encodingOption.width</width>
  <paramname>streams[0].keys[0].name</paramname>
  <paramval>streams[0].keys[0].value</paramval>
</m3u8x>